Google Web Toolkit
Search Google Code:

# Interface FiresSuggestionEvents

public interface FiresSuggestionEvents
// Implemented by `SuggestBox`
A widget that implements this interface fires the events defined by the SuggestionHandler interface.

## Methods

addEventHandler(SuggestionHandler) | Adds a handler interface to receive suggestion events.
removeEventHandler(SuggestionHandler) | Removes a previously added handler interface.

## Method Detail

### addEventHandler

public void addEventHandler(SuggestionHandler handler)
Adds a handler interface to receive suggestion events.

#### Parameters

handler
  the handler to add

### removeEventHandler

public void removeEventHandler(SuggestionHandler handler)
Removes a previously added handler interface.

#### Parameters

handler
  the handler to remove.